Subject: Re: [icnrg] ICNRG protocol format adoption

From: Dirk Kutscher <[email-masked]>
Date: Wed, 3 Jun 2015 08:04:27 +0000

Hi,

Following up on this:

Authors, please submit draft-mosko-icnrg-ccnxmessages and draft-mosko-icnrg-ccnxsemantics as draft-irtf-icnrg-ccnx* before 2015-07-06 (IETF-93 ID submission cut-off date).

Thanks,
Dirk

> -----Original Message-----
> From: icnrg [mailto:[email-masked]] On Behalf Of Dirk Kutscher
> Sent: Freitag, 29. Mai 2015 13:58
> To: [email-masked]
> Subject: [icnrg] ICNRG protocol format adoption
> 
> Hi folks,
> 
> At the ICNRG meeting at IETF-92 [1], we determined a rough consensus for
> adopting the message formats and semantics in [2] and [3] as an RG work
> item. There was a follow-up discussion on the mailing list [4] where people
> expressed their views and interpretation of this.
> 
> This message is to explain the chairs expectations for future work in ICNRG,
> considering the rough consensus that we determined at the meeting and in
> subsequent mailing list discussions.
> 
> For ICNRG, the motivation for adopting a protocol format generally is to
> facilitate and expedite work in the RG by endorsing a common format for
> experiments, for future extensions etc.
> 
> The adopted format is one of those that the RG is encouraged to use for
> future work. Adopting this does not exclude the discussion, usage, or
> possible adoption of other formats. However, by adopting a specification, we
> set ourselves a goal to advance the specification to a level where the RG is
> eventually happy to publish it as an Experimental RFC.
> 
> It is important to understand that adopting an Internet Draft in an IRTF RG is
> something different to adopting a draft in an IETF WG (that is chartered to do
> normative specifications). Adopting the format specification MUST NOT be
> taken as an indication of present or future standardization (in the sense of
> IETF standards track documents).
> 
> Adopting a format also comes with expectations on the mode of operation
> for future work on the format. When we adopt a specification, we also
> transfer change control from the previous set of authors to the RG, i.e., the
> document becomes an RG document, and the authors advance and maintain
> it on behalf of the RG.
> 
> We would also expect that future changes to the specification would be
> reflected in implementations, including but not limited to PARC's CCNx
> implementation.
> 
> Please let us know if you have any question.
> 
> Dirk, Börje, Dave (ICNRG chairs)
> 
> 
> --
> [1] http://www.ietf.org/proceedings/92/minutes/minutes-92-icnrg
> [2] https://datatracker.ietf.org/doc/draft-mosko-icnrg-ccnxmessages/
> [3] https://datatracker.ietf.org/doc/draft-mosko-icnrg-ccnxsemantics/
> [4] http://www.ietf.org/mail-
> archive/web/icnrg/current/threads.html#01076
> 
> 
> 
> _______________________________________________
> icnrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/icnrg